package com.bonus.canteen.core.menu.dto;

import java.util.List;

public class GetRecipeDto {
   private Long recipeId;
   private Integer recipeType;
   private List<Integer> weeks;
   private Boolean isComplete;
   private MenuRecipeV2AddDTO menuRecipeV2Add;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Integer getRecipeType() {
      return this.recipeType;
   }

   public List<Integer> getWeeks() {
      return this.weeks;
   }

   public Boolean getIsComplete() {
      return this.isComplete;
   }

   public MenuRecipeV2AddDTO getMenuRecipeV2Add() {
      return this.menuRecipeV2Add;
   }

   public GetRecipeDto setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
      return this;
   }

   public GetRecipeDto setRecipeType(final Integer recipeType) {
      this.recipeType = recipeType;
      return this;
   }

   public GetRecipeDto setWeeks(final List<Integer> weeks) {
      this.weeks = weeks;
      return this;
   }

   public GetRecipeDto setIsComplete(final Boolean isComplete) {
      this.isComplete = isComplete;
      return this;
   }

   public GetRecipeDto setMenuRecipeV2Add(final MenuRecipeV2AddDTO menuRecipeV2Add) {
      this.menuRecipeV2Add = menuRecipeV2Add;
      return this;
   }
}
